<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=yes">
    <title>Projekt Neuronka</title>
    <link rel="stylesheet" href="https://unpkg.com/purecss@2.0.6/build/pure-min.css"
        integrity="sha384-Uu6IeWbM+gzNVXJcM9XV3SohHtmWE+3VGi496jvgX1jyvDTXfdK+rfZc8C1Aehk5" crossorigin="anonymous">
    <link rel="stylesheet" href="https://unpkg.com/purecss@2.0.6/build/grids-responsive-min.css">
    <link rel="stylesheet" href="https://www.w3schools.com/w3css/4/w3.css">
    <link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">
    <link rel="stylesheet" href="main.css">
</head>

<body>
    <div class="all">
        <header class="top">
            <h1>Projekt Neuronka</h1>
        </header>
        <nav class="pure-menu pure-menu-horizontal">
            <ul class="pure-menu-list">
                <li class="pure-menu-item">
                    <a href="index.html" class="pure-menu-link"><i class="material-icons">home</i></a>
                </li>
                <li class="pure-menu-item">
                    <a href="https://gitlab.com/p.novak/neuronka" class="pure-menu-link">Repozitář</a>
                </li>
                <li class="pure-menu-item">
                    <a href="model.html" class="pure-menu-link">Model</a>
                </li>
            </ul>
        </nav>
        <div class="pure-g">
            <div class="pure-u-1 pure-u-md-1-2">
                <h3>Petr Novák</h3>
                <h5>Maturitní projekt - <a href="https://www.alej.cz/">Gymnázium Nad Alejí 1952, Praha 6</a></h5>
            </div>
            <div class="pure-u-1 pure-u-md-1-2">
                <a href="https://gitlab.com/p.novak/neuronka/-/blob/master/README.md">
                    <h4>Dokumentace k programu</h4>
                </a>
                <h4>2020/21</h4>
            </div>
        </div>
        <hr>

        <article>
            <h3>Zadání</h3>
            <h5>Obsah práce</h5>
            <p>
                Naprogramujte systém založený na neuronové síti,
                který bude schopný automaticky roztřídit zadanou sérii obrázků podle podobnosti (kategorie).
            </p>
            <h5>Funkce</h5>
            <p>
                Systém bude fungovat jako aplikace na příkazové řádce. V následujícím textu volně zaměňujeme
                roztřídění podobných fotografií (tj. je na nich podobný objekt) a roztřídění podle kategorií
                (tj. jsou
                podobné vůči dané množině kategorií), protože z uživatelského hlediska jde o podobné operace a
                rozdíl je
                silně předurčen výchozím datasetem.
            </p>
            <h5>Třídění fotografií</h5>
            <p>
                Výchozí funkcí bude roztřídení fotografií podle podobnosti. Systém využije vestavěnou neuronovou
                síť,
                která bude natrénována z předem vybraných fotografií.
            </p>
            <h5>Trénování neuronové sítě</h5>
            <p>
                Uživatel bude moci specifikovat též sada obrázků jako svojí tréningovou sada (např. uložené v
                samostatných podsložkách). Program se pak naučí třídit pomocí takto zadaného vzoru.
            </p>
            <h5>Zobrazení výsledků</h5>
            <p>
                Výstupem programu bude jednoduchá HTML galerie, kde pro každou kategorii bude existovat
                samostatná stránka s náhledy na jednotlivé fotografii.
            </p>
            <h5>Dataset</h5>
            <p>
                Součástí odevzdávané práce bude i použitý dataset pro výchozí neuronovou síť.
            </p>
        </article>
    </div>
</body>

</html>